summaryrefslogtreecommitdiffstats
path: root/.graveyard/cobra/index.sh
diff options
context:
space:
mode:
authorroot <root@pigstarter.de>2013-11-05 13:24:42 +0100
committerroot <root@pigstarter.de>2013-11-05 13:24:42 +0100
commit5e326f51c58e500285ea3daee91986ee1ea518eb (patch)
tree2b3eccf15e10e4331dcb2d01c9f53620d749f55f /.graveyard/cobra/index.sh
parentae627d2aa73ea6862af3985f1c07e95c6d493275 (diff)
sandbox -> .graveyard
Diffstat (limited to '.graveyard/cobra/index.sh')
-rwxr-xr-x.graveyard/cobra/index.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/.graveyard/cobra/index.sh b/.graveyard/cobra/index.sh
new file mode 100755
index 00000000..1118a823
--- /dev/null
+++ b/.graveyard/cobra/index.sh
@@ -0,0 +1,16 @@
+#! /bin/sh
+set -euf
+trap "echo 'You are made of stupid!' >&2; exit 23" EXIT
+
+COBRA_PATH="${COBRA_PATH-$PWD}"
+
+## main
+for target; do
+ for path in $COBRA_PATH; do
+ if test -d "$path/$target"; then
+ if index="$path/$target/index.sh" && test -f "$index"; then
+ exec /bin/sh "$index"
+ fi
+ fi
+ done
+done